package com.ruoyi.project.mapper;

import java.util.List;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.ruoyi.project.domain.TrsDomainWords;

/**
 * 领域常识Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
@InterceptorIgnore(tenantLine = "true")
public interface TrsDomainWordsMapper
{
    /**
     * 查询领域常识
     * 
     * @param id 领域常识主键
     * @return 领域常识
     */
    public TrsDomainWords selectTrsDomainWordsById(Long id);

    /**
     * 查询领域常识列表
     * 
     * @param trsDomainWords 领域常识
     * @return 领域常识集合
     */
    public List<TrsDomainWords> selectTrsDomainWordsList(TrsDomainWords trsDomainWords);

    /**
     * 新增领域常识
     * 
     * @param trsDomainWords 领域常识
     * @return 结果
     */
    public int insertTrsDomainWords(TrsDomainWords trsDomainWords);

    /**
     * 修改领域常识
     * 
     * @param trsDomainWords 领域常识
     * @return 结果
     */
    public int updateTrsDomainWords(TrsDomainWords trsDomainWords);

    /**
     * 删除领域常识
     * 
     * @param id 领域常识主键
     * @return 结果
     */
    public int deleteTrsDomainWordsById(Long id);

    /**
     * 批量删除领域常识
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsDomainWordsByIds(String[] ids);

    List<TrsDomainWords> selectTrsWordsListByErrorWord(String wrongWord);
}
